Homepage

Vasco da...Game Help


Aim of the game

In this game your goal is to guide Vasco de Gama, the famous navigator, in his long journey around the world.

Answer correctly to questions and your ship will go forth, answer wrong and it will get damaged. If your ship gets too much damage, it will sink and you will have to start all over again, so be careful! Many questions are about explorations in the 15th century, but you may as well find questions about ships, geography and modern things inspired by that period.

<- Back to the main page


Registering a player

In order to start playing the game, you first have to register a player. To do so, click on the "Set" button, next to the "Play" button. A small window will appear:
In the "Name" box, write the player's name (max 12 char without spaces).

  • In the "Skin" box, select the skin you wish to use.
  • Put a tick in the "Audio" option to activate in-game sound and music.
  • Put a tick in the "Remote" option to activate the Multiplayer mode.

Once you finish setting the options, it's time to start the game!


Answering a question

To answer a question, click on the answer you think is right and press "Confirm". You can see how much time you have left in the upper right corner.

If your answer is right, you'll earn points based on how much time you have left, and the expedition will continue smoothly. If it's wrong, you won't earn any points and the ship will take damage.

After answering a question, click the "Status" button to see how you're going, the "Next" button to continue to the next question, or the "Stop" button to quit the game.


Rules of the game

There's only one rule: while answering a question, if you press Alt+Tab or change window in any other way, it counts as a wrong answer. No cheating!


Player status

Anytime between two questions, you can click on the "Status" button.

  • In the "Player" box, you can see the player's name.
  • The "Credits" box shows how many points you have.
  • In the "Lap" box is written the current location of your ship, as shown by the green marker on the chart.
  • In the "Status" box, you can see the overall condition of the ship.

If your ship status isn't "Very Good", you can see and use the button with the saw and the hammer to repair it; this action will cost you some points, though.


High scores

Clicking the "Top ten" button, you can see a window divided into 2 parts: in the left one you can see the best scores ever reached by players, and in the right one you can see your best scores.


Multiplayer mode

If you activate the "Remote" option while registering a player you'll see that in the world map there are various icons:

  • A single blue icon means that you are in that position.
  • A single green icon means that in that position there is an opponent.
  • A double green icon means that in that position there are more than one opponent.
  • A blue icon with a green one next to it means that you're in the same position as an opponent.


Hardware requirements

  • 256 MB ram;
  • 32 MB graphic card;
  • Sound card;
  • (optional, for the Multiplayer mode) Internet/Intranet connection;
  • (optional) Supported double monitor.


Software requirements

  • Windows 98 SE or higher;
  • At least 75 MB of free space on the hard disk.


Installing the game

Here's a step-by-step guide to the setup process.

  • At the beginning, you are prompted to choose which language you want to use during the installation.
  • Close all the other applications before pressing "Next".
  • Select the directory where you want to install the game.
  • Choose the name of the Start menu folder of the game.
  • Check whether everything is OK before continuing.
  • Wait until the game is installed.
  • Remove the tick in the box if you don't want the game to start immediately after the setup.


Uninstalling the game

You can uninstall Vasco da...Game by either choosing the "Uninstall Vasco da...Game" option in the Start menu folder of the game, or by using the utility in the Control Panel. You'll be asked to confirm the uninstalling process. If everything goes correctly, you'll see a message box.


Development Environment

This project is composed of different technologies.
Main features are:

  • Borland C++ Builder - RAD Envoirement for win32 applications
  • Macromedia Flash Applications integrated via ActiveX
  • Borland Database Engine Client Application
  • HTTP Client connection to game server
  • Ini file management
  • Context sensitive CHM help
  • Inno Setup Installation procedure
  • php + MySql Web based application for game servicing
  • Concurrent Version System Source Management


Project architecture

At the beginning of the project, the class has been divided into 2 groups: the creative section and the developers' section, each with its part of work to do. While creatives were more on the "visual" work, developers worked on the backbone of the game, writing code, creating databases, and such.


CVS resources

An important part of this project was the use of a program called Tortoise CVS. By using this tool, every developer could easily download files directly from the server where they are saved. Once modified, the files can be re-uploaded to the server, and in a few clicks everybody can have the latest version of every file. To know more about this tool, visit www.tortoisecvs.org.


Content development environment

The creative section of the class had the purpose of creating the questions and their .SWF movies.


Testing procedures

There have been many testings of the game throughout the making and, every time something wrong popped to the eyes of a player, the problem was reported in an "Issue Tracker" in the Moodle course of the game.